Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.Chunk

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Group
          org.monte.media.quicktime.AbstractQuickTimeStream.Chunk

Enclosing class:
  AbstractQuickTimeStream

    protected static class AbstractQuickTimeStream.Chunk

extends AbstractQuickTimeStream.Group

Groups consecutive samples with the same sample description Id and with adjacent offsets in the movie file.

Field Summary
`protected int` | `sampleDescriptionId`

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Group
`firstSample, lastSample, maxSampleCount, sampleCount`

Constructor Summary
`AbstractQuickTimeStream.Chunk(AbstractQuickTimeStream.Sample firstSample, AbstractQuickTimeStream.Sample lastSample, int sampleCount, int sampleDescriptionId)` Creates a new Chunk.
`AbstractQuickTimeStream.Chunk(AbstractQuickTimeStream.Sample firstSample, int sampleDescriptionId)` Creates a new Chunk.

Method Summary
`long` | `getChunkOffset()` Returns the offset of the chunk in the movie file.
`boolean` | `maybeAddChunk(AbstractQuickTimeStream.Chunk chunk)` Returns true, if the chunk was added to the group.
`boolean` | `maybeAddSample(AbstractQuickTimeStream.Sample sample, int sampleDescriptionId)` Returns true, if the sample was added to the chunk.

Methods inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Group
`getSampleCount, maybeAddSample`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sampleDescriptionId

    protected int sampleDescriptionId

Constructor Detail

### AbstractQuickTimeStream.Chunk

    public AbstractQuickTimeStream.Chunk(AbstractQuickTimeStream.Sample firstSample,
                                         int sampleDescriptionId)

  Creates a new Chunk.

  Parameters:
    `firstSample` - The first sample contained in this chunk.
    `sampleDescriptionId` - The description Id of the sample.

### AbstractQuickTimeStream.Chunk

    public AbstractQuickTimeStream.Chunk(AbstractQuickTimeStream.Sample firstSample,
                                         AbstractQuickTimeStream.Sample lastSample,
                                         int sampleCount,
                                         int sampleDescriptionId)

  Creates a new Chunk.

  Parameters:
    `firstSample` - The first sample contained in this chunk.
    `sampleDescriptionId` - The description Id of the sample.

Method Detail

### maybeAddSample

    public boolean maybeAddSample(AbstractQuickTimeStream.Sample sample,
                                  int sampleDescriptionId)

  Returns true, if the sample was added to the chunk. If false is returned, the sample must be added to a new chunk.

  A sample can only be added to a chunk, if it has the same sample description Id as previously added samples, if the capacity of the chunk is not exceeded and if the sample offset is adjacent to the last sample in this chunk.

### maybeAddChunk

    public boolean maybeAddChunk(AbstractQuickTimeStream.Chunk chunk)

  Description copied from class: `AbstractQuickTimeStream.Group`
  Returns true, if the chunk was added to the group. If false is returned, the chunk must be added to a new group.

  A chunk can only be added to a group, if the capacity of the group is not exceeded.

  Overrides:
    `maybeAddChunk` in class `AbstractQuickTimeStream.Group`

### getChunkOffset

    public long getChunkOffset()

  Returns the offset of the chunk in the movie file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD